<script setup>
const menu = [
  {
    title: "Home",
    path: "/",
  },
  {
    title: "Studies",
    path: "/studies",
  },
];
</script>

<template>
  <header class="custom-header">
    <nav>
      <Logo />
      <NuxtLink
        v-for="{ title, path } in menu"
        :key="path"
        :to="path"
        class="is-size-4 is-uppercase has-text-weight-medium"
        :class="path == $route.path ? '' : 'has-text-black'"
      >
        {{ title }}
      </NuxtLink>
    </nav>
  </header>
</template>

<style scoped lang="scss">
@import "bulma/sass/utilities/mixins.sass";

.custom-header {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 2rem;

  @include from($tablet) {
    justify-content: flex-start;
  }

  nav {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;

    @include from($tablet) {
      gap: 3rem;
      flex-direction: row;
    }
  }
}
</style>
